DIR or LS - List Files

LS({pat{, stem{, case}}})
DIR({pat{, stem{, case}}})

LS searches for the files matching the pat pattern string.

The RESULT variable will be set to the number of matches.

pat     describes the files to match. pat may start with a directory
        indicator such as "/home" or "c:\Program Files\". Within pat, a
        "*" character matches any string an a "?" character matches any
        character.

stem    when stem is provided, it must be a valid REXX name.
        RESULT and stem.0 will contain the number of matching filenames.
        stem.1, stem.2, ... will contain the matching filenames.
        When stem is not provided, the matching filenames will be queued.

case    when case is not provided, it defaults to 'i' on Windows systems,
        and to 'r' on UNIX systems.
        When case is set to 'i', LS ignores the capitalization when
        matching filenames.
        When case is set to 'r', LS respects the capitalization.

Example:        call ls 'c:\test\*.f'

                call dir 'test???.bat', tab, 'i'
                do i = 1 to tab.0
                     say tab.i   /* Could print test001.bat*/
                end i
