DO - Controlled loop

The DO instruction offers the following extension:

DO      name IN expr;
END {symbol};

The variable name will be assigned to every word of the REXX expression
expr.

A word is a set of characters surrounded by any number of blanks,
tabulations or \n end of line character.

Examples:

-----------------------------------------------------------------------
DO a IN 'word1 word2 word3'
   say a
end a
-----------------------------------------------------------------------

displays:

-----------------------------------------------------------------------
word1
word2
word3
-----------------------------------------------------------------------


The following routine:

-----------------------------------------------------------------------
DO a IN `"ls"`
   if state(a, 'd') then sayx 'du -s 'a
end a
-----------------------------------------------------------------------

shows the size of all the subdirectories.
