DY_SCL - Make a scrolled list dialog item


nt_scl = DY_SCL(x, y, la, ht, stem, {l_stem}, {type}
                {, Rb, Gb, Bb, Rf, Gf, Bf})

nt_scl       is the item number, to be used by the various DY_xSCL()
             functions.

x            is the column position. When x is set to 1, the list is
             displayed starting on the left of the dialog box.

y            is the line position. When y is set to 1, the list is
             displayed starting on the top of the dialog box.

la           is the width of the list.

ht           is the number of lines displayed by the list.

stem         is a valid REXX symbol. The derived stem values (stem.1,
             stem.2, etc...) will be used to fill the list.

l_stem       is the length of the list. When not provided, stem.0 is the
             default.

type         when type is the "Multiple" string, the list will permit
             multiple selections. This is the default when type is not
             specified.
             When type is the "Single" string, only one line can be
             selected.

Rb, Gb, Bb   the optional background color RGB values. These are integers
             between 0 and 255. The default MOTIF background color can be
             set with the dialog*list*background X11 resource.

Rf, Gf, Bf   the optional foreground color RGB values. These are integers
             between 0 and 255. The default MOTIF foreground color can be
             set with the dialog*list*foreground X11 resource.

Note:  Individually colored items are not supported by the xsrexx OpenLook
       S/REXX version.

       The callback will receive different values when clicking or double
       clicking on an item. See the DY_END description for more
       information.

       Double clicking on an item within a GRAB dialog box unmaps the
       dialog box. Simple clicking does not.
