DY_TG - Make a dialog toggle


nt_g = DY_TG({txt}, x_txt, y_txt, x1, y1, txt1, set1{,
        x2, y2, txt2, set2{, ..................    }})

nt_g    is the item number to be used by the DY_VTG() and the DY_STG()
        functions.

txt     is the optional global label to be displayed.

x_txt   is the global label column position. When x_txt is set to 1, the
        label is displayed on the left of the dialog box.

y_txt   is the global label line position. When y_txt is set to 1, the
        label is displayed on the top of the dialog box.

xi      is the column position of the sub-item i.

yi      is the line position of the sub-item i. The SEDIT OpenLook version
        stacks sub-items vertically or horizontally. The MOTIF version
        respects precisely the (xi, yi) coordinates.

txti    is the label of the sub-item i.

seti    either 1 (true) or 0 (false).

Example:        call dy_start()
                nt_g = dy_tg("toggle1:", 2, 1,
                                 11, 1,   "string0", 1,
                                 11, 2.5, "string1", 0,
                                 11, 4,   "string2", 0)
                hnd = dy_end("#", 0, 0, 25, 6, "n")
                dy_map(hnd)
