FORK - Spawn a New Process


FORK()

On UNIX systems, FORK() causes creation of a new process. The new process
(child process) is an exact copy of the calling process (parent process).
The child process inherits the variables and the programming state from
its parent process. However, all opened files are closed within the child
process, and the child process cannot process dialog boxes opened by the
parent process. The child process of an SEDIT macro cannot pass commands
to SEDIT.

Upon successful completion, FORK() returns a value of 0 to the child
process and returns the process ID of the child process to the parent
process. Otherwise, a value of -1 is returned to the parent process.

On WINDOWS systems, a value of -1 is always returned.
