SockShutDown - Close a Socket

SockShutDown(s, how)
shutdown(s, how)

shuts down all or part of a full duplex connection.

s       a socket.

how     0    no more data can be received on the socket s.
        1    no more output to be allowed on the socket s.
        2    no more data can be sent or received on socket s.

SockShutDown() sets the errno variable to 0 in case of success, or to one
of the following error codes:

EBADF     s is not a valid file descriptor.

ENOMEM    there was insufficient user memory available for the operation
          to complete.

ENOSR     there were insufficient STREAMS resources available for the
          operation to complete.

ENOTCONN  the specified socket is not connected.

ENOTSOCK  s is not a socket.
