#
# SGI specific setting
#
set HOME        R5
set IHOME       R7
set INS         R4
set APL         R15
set DOWN_FIELD  LF
set UP_FIELD    ALT
set EOF         Escape
set BACKSPACE   ^h
set NBKEYS      10 12 15
set SERVER      sgi

# text formatting
set ^F ONLY flow
set ^L ONLY leftadjust
set ^R ONLY rightadjust

set F1          ONLY s_find
set F2          ONLY s_cut
set F3          ONLY s_copy
set F4          ONLY s_paste

set S-F1        ONLY s_find
set S-F2        ONLY s_cut
set S-F3        ONLY s_copy
set S-F4        ONLY s_paste

set C-F1        ONLY s_find
set C-F2        ONLY s_cut
set C-F3        ONLY s_copy
set C-F4        ONLY s_paste

set F5          ONLY switch
set F6          ONLY c_endline
set F7          ONLY backward
set F8          ONLY forward
set F9          ONLY ?
set F10         ONLY home
set F11         ONLY undo
set F12         ONLY =
set S-F5        ONLY iswitch
set S-F6        ONLY c_endcurl
set S-F7        ONLY pgup
set S-F8        ONLY pgdown
set S-F9        ONLY ?i
set S-F10       ONLY home
set S-F11       ONLY redo
set S-F12       ONLY bot
set C-F7        ONLY left40
set C-F8        ONLY right40

#  "Control-F10" will clear the command field without moving the cursor
set C-F10       ONLY delayhome

set M-F1        ONLY s_find
set R1          ONLY aquit
set R2          ONLY complete
set R3          ONLY save
set R6          ONLY backward
set R9          ONLY forward
set S-R2        ONLY complete reverse
set S-R3        ONLY file
set S-R6        ONLY top
set S-R9        ONLY bot
set C-R1        ONLY flquit
set C-R3        ONLY flfile

#  "Control-R6" (R6 <--> PgUp) will comment in or out the selection,
#   or the current line
set C-R6        ONLY filter $xhome/filters/$arch/toggle_comment

set L2          ONLY match
set L4          ONLY undo
set L6          ONLY s_copy
set L8          ONLY s_paste
set L9          ONLY s_find
set L10         ONLY s_cut
set S-L1        ONLY help
set S-L4        ONLY redo
set S-L9        ONLY s_find
set C-L9        ONLY s_find

# See the next compilation error
set ^-          ONLY nexterror

set ^=          ONLY c_dup
set ^H          ONLY s_help
set ^X          ONLY s_man
set ^a          ONLY c_lineadd

# Compiles the file currently edited
set ^c          ONLY smart_comp 0
set ^C          ONLY smart_comp 1
set ^G          ONLY smart_compd 1
set ^g          ONLY smart_compd 0

set ^d          ONLY c_linedel
set ^f          ONLY flist
set ^h          ONLY c_scrh
set ^l          ONLY s_lower
set ^m          ONLY match

# Useful to see what we are editing
set ^n          ONLY f $fn *
set ^N          ONLY f $fn * $fd
set ^D ONLY f * * "$fd"

# Prints the file currently edited
set ^p          ONLY shell lpr $name &

set ^m ONLY match
set ^M ONLY match cursor

set ^r          ONLY tree
set ^s          ONLY c_split
set ^t          ONLY tree
set ^u          ONLY s_upper
set ^v          ONLY c_scrv
set ^w          ONLY c_scrj
set ^x          ONLY s_xed
set ^z          ONLY left0

setp "R1:Q  R2:E  R3:Save  ^S:Sp  5:x  7:U  8:D  9:?  10:H  11:Undo  S-PU:Top  S-PD:Bot"
