#
# set_sun_t3: specific setting for Sun type 3 keyboard
#
keyboard . 1
set nbkeys 10 12 15
set HOME        R6
set IHOME       M-R6
set PREV_FIELD  R7
set CAPS        R13
set APL         R11
set DOWN_FIELD  Alt
set UP_FIELD    LF
set EOF         L3
set BACKSPACE   ^h
set NBKEYS      11 12 15
unsetenv SUN_USES_NUMLOCK
set SERVER      sun

set L2          ONLY match
set S-L2        ONLY match cursor
set L4          ONLY undo
set L6          ONLY s_copy
set L8          ONLY s_paste
set L9          ONLY s_find
set L10         ONLY s_cut

# text formatting
set ^F ONLY flow
set ^L ONLY leftadjust
set ^R ONLY rightadjust

# Prints the file currently edited
set ^p ONLY shell lpr -h $name &

# Compiles the file currently edited
set ^c ONLY smart_comp 0
set ^C ONLY smart_comp 1

set ^g ONLY smart_compd 0
set ^G ONLY smart_compd 1

# See the next compilation error
set ^- ONLY nexterror

#
#  "Control-R5" will comment in or out the selection, or the cursor line
#
set c-r5 ONLY filter $xhome/filters/$arch/toggle_comment


# Useful to see what we are editing
set ^n ONLY f $fn *
set ^N ONLY f $fn * $fd
set ^D ONLY f * * "$fd"
