/*
 *   demo3: demonstrates pull_rx() usage
 */

#include <stdio.h>

int call_back(string, ll)
  char *string;         /* ARGSUSED */
  int ll;
{
  char *res;
  int len;

  pull_rx(&res, &len);

  if (res)
    { printf ("call_back: \"%s\" was in the stack (length = %d).\n", res, len);
      free(res);
    }
  else
      printf ("call_back: stack empty.\n");

  return(0);
}

main()
{
  int rc;

  env_rx("MyEnv", call_back, 1);
  rc =run_rx("r_demo3", "../..", NULL, NULL, NULL);
  exit_rx(rc);  /* exit_rx() cleans up before exiting */
}
