CHDIR - Change directory

CHDIR(dir) makes dir the current directory.
The user may use the ~ .. directory meta characters to specify a location.

Examples:

call chdir              makes the home directory the current directory.

call chdir '~'          has the same effect.

call chdir '~/foo'      if the home directory is /users/john,
                        makes/users/john/foo the current directory.

call chdir '../foo'     if the current directory is /users/john,
                        makes /users/foo the current directory.

Notes:  The directory meta characters must be enclosed within quotes.
        The CD instruction requires less typing for the same purpose.

        On WINDOWS systems, the HOME environment variable is usually not
        defined. In this case, the "~/" or "~\" directory shortcut is
        translated into "C:\".
