SockIoctl - Perform Special Operations on Socket


rc = SockIoctl(s, codeop, 'var')
rc = ioctl(s, codeop, 'var')

sets socket attribute, or retrieves information.

rc        0 when SockIoctl() succeds.

s         specifies a socket.

codeop    the ioctl command to perform. codeop can be 'FIONBIO' or
          'FIONREAD'.

FIONBIO   sets or clears nonblocking input/output for the s socket. var
          must be an integer. When var contains the value of 0,
          input/output on the socket s are blocking. Otherwise,
          input/output on the socket s are nonblocking.

FIONREAD  SockIoctl() stores in var the number of bytes available for
          reading.

'var'   a REXX variable.

SockIoctl() sets the errno variable to 0 in case of success, or to one of
the following error codes:

EINVAL  request or codeop is not valid for this device.

EIO     some physical I/O error has occurred.

ENOLINK s is on a remote machine and the link to that machine is no longer
        active.
