SysFileDelete - Delete File


SysFileDelete(file) removes the file file. file may include the ~ .. UNIX
or WINDOWS file meta characters.

Notes:  SysFileDelete()removes one file at a time. To remove several files
        with one call, use the RM() or the DEL() subroutine.
        RM() and DEL() need quotes when the name of the file to erase
        contains blanks. SysFileDelete() does not.

Return Codes:

0       File deleted successfully.
2       File not found.
3       Path not found.
4       Too many symbolic links were encountered in translating path.
5       Access denied or busy.
6       Components of path require hopping to multiple remote machines and
        the file system does not allow it.
7       Path points to a remote machine and the link to that machine is no
        longer active.
8       The length of the path argument is too long.
108     Read-only filesystem.
999     Unknown error.
