TCSH - Pass UNIX command

TCSH(cmd{, stem}) executes the UNIX command cmd using the tcsh shell .

When stem is not provided, the cmd output will be placed in the stack. The
user will be able to read it using the parse pull command.

The queued() function may be used to return the number of lines in the
stack.

When stem is provided, it must be a valid REXX name. It will be filled
with the cmd output.

Example:   call tcsh "df", tab
           tab.0 will contain the number of lines sent back by df.
           tab.1, tab.2, ... will contain the df output line by line.


See also the EXEC(), UNIX(), CSH() and KSH() functions.
