+---------------------------------------------------------------+
+               Input Translation Table For X Window            +
+               Version on IBM RISC System/6000 console.        +
+                                                               +
+                                                               +
+   Modified to match the SEDIT native keyboard                 +
+                                                               +
+---------------------------------------------------------------+
 
+---------------------------------------------------------------+
+       Under the X Window System, every physical key on        +
+       the keyboard has a unique Keycode associated with it.   +
+       If a modifier key is pressed with an ordinary key,      +
+       then this can also be identified uniquely.              +
+       The modifier code can be identied by the logical        +
+       ORing of codes for individual modifier keys:            +
+       SHIFT   <==> 1                                          +
+       CTRL    <==> 2                                          +
+       ALT     <==> 4   <Extend char keys>                     +
+                                                               +
+       For any key :                                           +
+       Keycode <==> unshifted key                              +
+       1 Keycode       <==> SHIFT + key                        +
+       2 Keycode       <==> CTRL + key                         +
+       6 Keycode       <==> CTRL + ALT + key                   +
+---------------------------------------------------------------+
 
+---------------------------------------------------------------+
+                       Keyboard Modes                          +
+---------------------------------------------------------------+
 
M0=Apl: 2 59 *          + ^N    Apl
M1=Asc: 2 33 *          + ^O    Ascii
 
+---------------------------------------------------------------+
+                       Atomic Vector                           +
+---------------------------------------------------------------+
 
0:                      +       (Reserved Dyalog)
1:                      + Backspace
2:                      + Line Feed
3:                      + New Line
4:                      + Space
5:                      +       (Reserved Dyalog)
6:                      +       (Reserved Dyalog)
7:                      +       (Reserved Dyalog)
8:                      +       (Reserved Dyalog)
9:                      +       (Reserved Dyalog)
10:                     + Up-Tack Down-Tack (I-beam)
11:                     + Stile Bar
12:       ,   1 14      + Percent
13:    49 ,             + APL-Quote
14:  1 39 ,             + Alpha
15:  1 26 ,             + Omega
16:  1 20 ,   1 20      + Underbar
17:       ,     39      + Lower-a
18:       ,     58      + Lower-b
19:       ,     56      + Lower-c
20:       ,     41      + Lower-d
21:       ,     27      + Lower-e
22:       ,     42      + Lower-f
23:       ,     43      + Lower-g
24:       ,     44      + Lower-h
25:       ,     32      + Lower-i
26:       ,     45      + Lower-j
27:       ,     46      + Lower-k
28:       ,     47      + Lower-l
29:       ,     60      + Lower-m
30:       ,     59      + Lower-n
31:       ,     33      + Lower-o
32:       ,     34      + Lower-p
33:       ,     25      + Lower-q
34:       ,     28      + Lower-r
35:       ,     40      + Lower-s
36:       ,     29      + Lower-t
37:       ,     31      + Lower-u
38:       ,     57      + Lower-v
39:       ,     26      + Lower-w
40:       ,     55      + Lower-x
41:       ,     30      + Lower-y
42:       ,     54      + Lower-z
43:
44:
45:  1 11 ,             + Overbar (High Minus)
46:    62 ,     62      + Dot
47:  4 20 ,             + Zero Tilde (Zilde)
48:    19 ,     19      + 0 Zero
,48:   107 *            + Keypad 0
49:    10 ,     10      + 1 One
,49:   101 *            + Keypad 1
50:    11 ,     11      + 2 Two
,50:   106 *            + Keypad 2
51:    12 ,     12      + 3 Three
,51:   111 *            + Keypad 3
52:    13 ,     13      + 4 Four
,52:   100 *            + Keypad 4
53:    14 ,     14      + 5 Five
,53:   105 *            + Keypad 5
54:    15 ,     15      + 6 Six
,54:   110 *            + Keypad 6
55:    16 ,     16      + 7 Seven
,55:    99 *            + Keypad 7
56:    17 ,     17      + 8 Eight
,56:   104 *            + Keypad 8
57:    18 ,     18      + 9 Nine
,57:   109 *            + Keypad 9
58:
59:
60:
61:       ,   1 13      + Dollar
62:                     + L bar (Pound Sterling)
63:                     + Left-Shoe Stile (Cent)
64:  1 44 ,             + Delta
65:    39 ,   1 39      + Upper-A
66:    58 ,   1 58      + Upper-B
67:    56 ,   1 56      + Upper-C
68:    41 ,   1 41      + Upper-D
69:    27 ,   1 27      + Upper-E
70:    42 ,   1 42      + Upper-F
71:    43 ,   1 43      + Upper-G
72:    44 ,   1 44      + Upper-H
73:    32 ,   1 32      + Upper-I
74:    45 ,   1 45      + Upper-J
75:    46 ,   1 46      + Upper-K
76:    47 ,   1 47      + Upper-L
77:    60 ,   1 60      + Upper-M
78:    59 ,   1 59      + Upper-N
79:    33 ,   1 33      + Upper-O
80:    34 ,   1 34      + Upper-P
81:    25 ,   1 25      + Upper-Q
82:    28 ,   1 28      + Upper-R
83:    40 ,   1 40      + Upper-S
84:    29 ,   1 29      + Upper-T
85:    31 ,   1 31      + Upper-U
86:    57 ,   1 57      + Upper-V
87:    26 ,   1 26      + Upper-W
88:    55 ,   1 55      + Upper-X
89:    30 ,   1 30      + Upper-Y
90:    54 ,   1 54      + Upper-Z
91:
92:
93:
94:
95:
96:  4 36 ,             + Delta underbar
97:  4 39 ,             + Upper-A underbar
98:  4 58 ,             + Upper-B underbar
99:  4 56 ,             + Upper-C underbar
100: 4 41 ,             + Upper-D underbar
101: 4 27 ,             + Upper-E underbar
102: 4 42 ,             + Upper-F underbar
103: 4 43 ,             + Upper-G underbar
104: 4 44 ,             + Upper-H underbar
105: 4 32 ,             + Upper-I underbar
106: 4 45 ,             + Upper-J underbar
107: 4 46 ,             + Upper-K underbar
108: 4 47 ,             + Upper-L underbar
109: 4 60 ,             + Upper-M underbar
110: 4 59 ,             + Upper-N underbar
111: 4 33 ,             + Upper-O underbar
112: 4 34 ,             + Upper-P underbar
113: 4 25 ,             + Upper-Q underbar
114: 4 28 ,             + Upper-R underbar
115: 4 40 ,             + Upper-S underbar
116: 4 29 ,             + Upper-T underbar
117: 4 31 ,             + Upper-U underbar
118: 4 57 ,             + Upper-V underbar
119: 4 26 ,             + Upper-W underbar
120: 4 55 ,             + Upper-X underbar
121: 4 30 ,             + Upper-Y underbar
122: 4 54 ,             + Upper-Z underbar
123: 1 35 ,   1 35      + Left-Brace
+124:   37 ,             + Left-Tack
125: 1 36 ,   1 36      + Right-Brace
+126: 1 37 ,             + Right-Tack
127:                    +       (Reserved Dyalog)
128: 1 10 ,             + Diaeresis (each)
129:
130:
131:
132:
133: 1 60 ,             + Diaeresis Tilde (Commute)
134:                    + ------.
135:                    +       |
136:                    +       |
137:                    +       |
138:                    +       |
139:                    +       | This
140:                    +       | area
141:                    +       | recommended
142:                    +       | for
143:                    +       | National
144:                    +       | Language
145:                    +       | characters
146:                    +       |
147:                    +       |
148:                    +       |
149:                    +       |
150:                    +       |
151:                    +       |
152:                    +       |
153:                    +       |
154:                    + ------'
155:   35 ,     35      + Left-Bracket
156:   63 ,     63      + Slash (Replicate  Reduce)
157: 4 63 ,             + Slash Bar
158:   37 ,     37      + Back-Slash (Expand  Scan)
159: 4 37 ,   4 37      + Back-Slash bar
160: 1 61 ,   1 61      + Left-Caret (Less than)
161: 1 13 ,             + Less-than-or-Equal
162:   21 ,     21      + Equal
163: 1 14 ,             + Greater-than-or-Equal
164: 1 62 ,   1 62      + Right-Caret (Greater than)
165: 1 12 ,             + Not-Equal
166: 1 16 ,             + Down-Caret (Or)
167: 1 15 ,             + Up-Caret (And)
168:   20 ,     20      + Bar (Negate Minus Subtract)
169: 1 21 ,   1 21      + Plus (Conjugate Add)
170: 1  9 ,             + Divide (Reciprocal)
171:    9 ,             + Multiply (Signum)
172: 1 63 ,   1 63      + Query (Roll Deal)
173: 1 27 ,             + Epsilon (Type Membership)
174: 1 28 ,             + Rho (Shape Reshape)
175: 1 29 ,   1 9       + Tilde (Not Exclude Without)
176: 1 30 ,             + Up-Arrow (Mix Take)
177: 1 31 ,             + Down-Arrow (Split Drop)
178: 1 32 ,             + Iota (Index)
179: 1 33 ,             + Circle (Trig)
180: 1 17 ,   1 17      + Star (Exponential Power)
181: 1 40 ,             + Ceiling (Max)
182: 1 41 ,             + Floor (Min)
183: 1 43 ,             + Del (Function Edit)
184: 1 45 ,             + Jot (Compose Outer)
185: 1 18 ,   1 18      + Left-Parenthesis
186: 1 54 ,             + Left-Shoe (Enclose)
187: 1 55 ,             + Right-Shoe (Disclose)
188: 1 56 ,             + Up-Shoe (Intersect)
189: 1 57 ,             + Down-Shoe (Union)
190: 1 58 ,             + Down-Tack (decode base)
191: 1 59 ,             + Up-Tack (encode represent)
192: 1 37 ,             + Stile (Absolute Residue Modulus)
193:   48 ,     48      + Semicolon
194:   61 ,     61      + Comma (Ravel Catenate)
195: 4 18 ,             + Down-Caret Tilde (Nor)
196: 4 19 ,             + Up-Caret Tilde (Nand)
197: 4 12 ,             + Del Stile (Down Grade)
198: 4 13 ,             + Delta Stile (Up Grade)
199: 4 15 ,             + Circle Backslash (Transpose)
200: 4 14 ,             + Circle Stile (Rotate)
201: 4 16 ,             + Circle Bar (Rotate 1st)
202: 4 17 ,             + Circle Star (Logarithm)
203: 4 21 ,             + Quad Divide (Domino  Matrix Inverse)
204: 4 10 ,   1 10      + Quote Dot (Shreik  Binomial  Factorial)
205: 4 49 ,             + Up-Tack Jot (Format)
206: 4 48 ,             + Down-Tack Jot (Execute)
207: 4 11 ,             + Del Tilde
208: 4 61 ,   4 61      + Comma Bar (Catenate 1st)
209: 1 46 ,             + Equal Underbar (Match)
210: 4  9 ,   4  9      + Not-Equal Underbar (Natch)
211:
212:
213:
214:
215:      ,   1 49      + Ascii Double Quote "
216:      ,   1 12      + Ascii Hash #
217:
218:      ,   1 16      + Ascii Ampersand &
219:      ,     49      + Ascii Single Quote '
231:      ,   1 11      + Ascii At sign @
232:                    +
233:                    +
234:                    +
235:      ,   1 15      + Ascii Caret ^
236:                    +
237:      ,     9       + Ascii Back Quote `
238:      ,   1 37      + Ascii Pipe |
239:                    +
240: 1 48 ,   1 48      + Colon :
241:                    +       (Reserved Dyalog)
242:                    +       (Reserved Dyalog)
243:                    +       (Reserved Dyalog)
244: 1 25 ,             + Diamond
245: 1 34 ,             + Left-Arrow (Assign Specify)
246: 1 49 ,             + Right-Arrow (Branch)
247: 4 62 ,   4 62      + Up-Shoe Jot (Lamp  Comment)
248: 1 19 ,   1 19      + Right-Parenthesis
249:   36 ,     36      + Right-Bracket
250:                    +       (Reserved Dyalog)
251:                    +       (Reserved Dyalog)
252:                    +       (Reserved Dyalog)
253: 1 47 ,             + Quad
254: 4 35 ,             + Quote Quad
255:                    +       (Reserved Dyalog)
 
+---------------------------------------------------------------+
+               Development Environment                         +
+---------------------------------------------------------------+
 
        + Most keys are mapped to the 2x3 block
        + to the top right of the main keyboard.
 
                        + U P P E R   R O W +
 
LN=Alt-Insert: 4 83 *           + Alt  Insert   Line Numbers
CP=Ctrl-Insert: 2 83 *          + Ctrl Insert   Copy
IN=Insert:   83 *               +      Insert   Insert
 
MV=Ctrl-Home: 2 88 *            + Ctrl Home     Move
HO=Home:   88 *                 +      Home     Home
 
ED=Page Up:   93 *              +      Page Up  Edit
 
                        + L O W E R   R O W +
 
OP=Alt-Delete: 4 84 *           + Alt  Delete   Open
DK=Ctrl-Delete: 2 84 *          + Ctrl Delete   Delete Block
DI=Delete:   84 *               +      Delete   Delete Item
 
SC=Alt-End: 4 89 *              + Alt  End      Search
TG=Ctrl-End: 2 89 *             + Ctrl End      Tag
MC=End:   89 *                  +      End      Mode Change
 
RP=Alt-Page Down: 4 94 *        + Alt  Page Down Replace
PT=Ctrl-Page Down: 2 94 *       + Ctrl Page Down Paste
CT=Page Down:   94 *            +      Page Down Cut
 
                        + A R R O W   K E Y S +
 
BK=Ctrl-Alt-Left Arrow: 6 87 *  + Ctrl-Alt Left    Back
LL=Alt-Left Arrow: 4 87 *       + Alt      Left    Left Limit
LS=Ctrl-Left Arrow: 2 87 *      + Ctrl     Left    Left Screen
PV=Shift-Left Arrow: 1 87 *     + Shift    Left    Previous
LC=Left Arrow:   87 *           +          Left    Left Character
 
UL=Ctrl-Alt-Up Arrow: 4 91 *    + Alt   Up         Up Limit
US=Ctrl-Up Arrow: 2 91 *        + Ctrl  Up         Up Screen
RA=Shift-Up Arrow: 1 91 *       + Shift Up         Replace All
UC=Up Arrow:   91 *             +       Up         Up Character
 
DL=Alt-Down Arrow: 4 92 *       + Alt   Down       Down Limit
DS=Ctrl-Down Arrow: 2 92 *      + Ctrl  Down       Down Screen
RT=Shift-Down Arrow: 1 92 *     + Shift Down       Repeat
DC=Down Arrow:   92 *           +       Down       Down Character
 
FD=Ctrl-Alt-Right Arrow: 6 97 * + Ctrl-Alt Right   Forward
RL=Alt-Right Arrow: 4 97 *      + Alt      Right   Right Limit
RS=Ctrl-Right Arrow: 2 97 *     + Ctrl     Right   Right Screen
NX=Shift-Right Arrow: 1 97 *    + Shift    Right   Next
RC=Right Arrow:   97 *          +          Right   Right Character
 
        + The remainder are scattered around
        + the main keyboard
 
FX=Ctrl-Esc: 2 118 *    + Ctrl  Esc     Fix
EP=Esc:   118 *         +       Esc     Escape
 
JP=Ctrl-Tab: 2 24 *     + Ctrl  Tab     Jump
BT=Shift-Tab: 1 24 *    + Shift Tab     Backtab
TB=Tab:   24 *          +       Tab     Tab
 
TC=Ctrl-Enter: 2 51 *   + Ctrl  Enter   Trace
ER=Enter:   51 *        +       Enter   Enter
 
QT=Ctrl-D: 2 41 *       + ^D            + Quit
ST=Ctrl-Z: 2 54 *       + ^Z            + STart line
EN=Ctrl-X: 2 55 *       + ^X            + ENd line
 
II=Ctrl-A: 2 39 *       + ^A            + Insert Item
 
DP=Space:   69 *        + <SP>          + Destructive Space
DB=Backspace:   23 *    + <BS>          + Destructive Backspace
 
RD=Ctrl-L: 2 47 *       + ^L            + ReDraw screen
 
+---------------------------------------------------------------+
+               XAPL mouse Environment                          +
+---------------------------------------------------------------+
 
+---------------------------------------------------------------+
+               Mouse support for Session                       +
+---------------------------------------------------------------+
 
,HO: 1 251 *    + Shift Button 1        + Home
,CP: 1 252 *    + Shift Button 2        + Copy
,SC: 1 253 *    + Shift Button 3        + Search
,CT: 2 251 *    + Ctrl Button 1         + Cut
,DK: 2 252 *    + Ctrl Button 2         + Delete Block
,RP: 2 253 *    + Ctrl Button 3         + Replace
,PT: 3 251 *    + Shift+Ctrl Button 1   + Paste
,MV: 3 252 *    + Shift+Ctrl Button 2   + Move
,OP: 3 253 *    + Shift+Ctrl Button 3   + Open
,BK: 6 251 *    + Ctrl+Alt Button 1     + Back
,LN: 6 252 *    + Ctrl+Alt Button 2     + Line Numbers
,FD: 6 253 *    + Ctrl-Alt Button 3     + Forward
 
+---------------------------------------------------------------+
+               Mouse support for QuadSM                        +
+---------------------------------------------------------------+
 
D1: 27 79 252           + Press Button 1 (Left Button)
D2: 27 79 251           + Press Button 2 (Middle Button)
D3: 27 79 253           + Press Button 3 (Right Button)
D4: 27 79 254           + Press Button 4 (undefined for RS6000)
D5: 27 79 255           + Press Button 5 (undefined for RS6000)
U1: 27 91 251           + Release Button 1 (Left Button)
U2: 27 91 252           + Release Button 2 (Middle Button)
U3: 27 91 253           + Release Button 3 (Right Button)
U4: 27 91 254           + Release Button 4 (undefined for RS6000)
U5: 27 91 255           + Release Button 5 (undefined for RS6000)
 
+---------------------------------------------------------------+
+               Line Drawing Characters                         +
+---------------------------------------------------------------+
 
220: 3 111 *            + Lower-Right corner    Ctrl-Shift Keypad 3
221: 3 109 *            + Upper-Right corner    Ctrl-Shift Keypad 9
222: 3  99 *            + Upper-Left corner     Ctrl-Shift Keypad 7
223: 3 101 *            + Lower-Left corner     Ctrl-Shift Keypad 1
224: 3 105 *            + Crossing Lines        Ctrl-Shift Keypad 5
225: 3 112 *            + Horizontal bar        Ctrl-Shift Keypad .
226: 3 100 *            + Left  T               Ctrl-Shift Keypad 4
227: 3 110 *            + Right T               Ctrl-Shift Keypad 6
228: 3 106 *            + Lower T               Ctrl-Shift Keypad 2
229: 3 104 *            + Upper T               Ctrl-Shift Keypad 8
230: 3 107 *            + Vertical Bar          Ctrl-Shift Keypad 0
 
+---------------------------------------------------------------+
+                       Function Keys                           +
+---------------------------------------------------------------+
 
F1=F1:  120 *
F2=F2:  121 *
F3=F3:  122 *
F4=F4:  123 *
F5=F5:  124 *
F6=F6:  125 *
F7=F7:  126 *
F8=F8:  127 *
F9=F9:  128 *
F10=F10: 129 *
F11=F11: 130 *
F12=F12: 131 *
F13=Shift-F1:  1 120 *
F14=Shift-F2:  1 121 *
F15=Shift-F3:  1 122 *
F16=Shift-F4:  1 123 *
F17=Shift-F5:  1 124 *
F18=Shift-F6:  1 125 *
F19=Shift-F7:  1 126 *
F20=Shift-F8:  1 127 *
F21=Shift-F9:  1 128 *
F22=Shift-F10: 1 129 *
F23=Shift-F11: 1 130 *
F24=Shift-F12: 1 131 *
 
+---------------------------------------------------------------+
+                       Initial Modes                           +
+---------------------------------------------------------------+
 
PROG: 0                 + Use Apl for programmers
USER: 1                 + Use Ascii for command keys
